package fishrungames.bashgid;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.ImageView;

public class WelcomeFragment extends Fragment {

	
	View rootView;
	
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
		rootView = inflater.inflate(R.layout.fragment_welcome, container, false);
		return rootView;
	}
	
	@Override
    public void onResume()
    {
    	super.onResume();
    	
    	ImageView flagView1 = (ImageView) rootView.findViewById(R.id.image_flag_china);
    	ImageView flagView2 = (ImageView) rootView.findViewById(R.id.image_flag_russia);
    	ImageView flagView3 = (ImageView) rootView.findViewById(R.id.image_flag_usa);
    	
    	Animation animation = AnimationUtils.loadAnimation(getActivity(), R.anim.language_flag_in);
    	flagView1.startAnimation(animation);
    	flagView2.startAnimation(animation);
    	flagView3.startAnimation(animation);
    }
}
